# Generated by go2rpm 1.9.0
%bcond_with check

# https://github.com/moby/buildkit
%global goipath         github.com/moby/buildkit
Version:                0.16.0

%gometa -f

%global goname buildkit

%global common_description %{expand:
Concurrent, cache-efficient, and Dockerfile-agnostic builder toolkit.}

%global golicenses      LICENSE
%global godocs          docs examples AUTHORS README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Concurrent, cache-efficient, and Dockerfile-agnostic builder toolkit

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  systemd-rpm-macros

Requires:       runc
Requires:       containerd
Requires:       containernetworking-plugins

%description %{common_description}


%prep
%goprep -k
%autopatch -p1
sed -i 's:/usr/local:/usr:' \
    examples/systemd/{system,user}/*.service

%build
export LDFLAGS="-X %{goipath}/version.Version=%{version} "
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm0644 examples/systemd/system/* -t %{buildroot}%{_unitdir}
install -Dpm0644 examples/systemd/user/* -t %{buildroot}%{_userunitdir}

%post
%systemd_post %{name}.service %{name}.socket
%systemd_user_post %{name}.service buildkit-proxy.service buildkit-proxy.socket

%preun
%systemd_preun %{name}.service %{name}.socket
%systemd_user_preun %{name}.service buildkit-proxy.service buildkit-proxy.socket

%postun
%systemd_postun %{name}.service %{name}.socket

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc docs examples AUTHORS README.md
%{_bindir}/*
%{_unitdir}/*.{service,socket}
%{_userunitdir}/*.{service,socket}


%changelog
%autochangelog
